> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /carsales/listings/search

> Search carsales.com.au vehicle listings by make and model, condition (new/used), body type, fuel/electric type, transmission, exterior color, state, cylinders, doors, engine induction, lifestyle category, EV connector, private-seller-only, price range, build-year range and maximum odometer. Sort by featured, price, odometer, year or trade-in bonus. Returns listing cards with make/model/badge, year, price and price type, market-price position, body type, transmission, engine, fuel, odometer or build date, EV range, state, seller type, photos and badges.

**Price:** 1 credit

**💡 AI Hint:** Search carsales.com.au car listings. make/model are slugs (e.g. make='toyota', model='corolla'); model needs make set. Filter by condition, body_type, fuel_type, transmission, color, state, cylinders, doors, induction, lifestyle, ev_connector, private_sellers_only, price_min/price_max (AUD), year_min/year_max, odometer_max (km). Sort by featured/price/odometer/year/trade_in_bonus. count is required. Each filter accepts a single value.



## OpenAPI

````yaml /openapi-filtered.json post /api/carsales/listings/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/carsales/listings/search:
    post:
      tags:
        - /carsales
      summary: /carsales/listings/search
      description: >-
        Search carsales.com.au vehicle listings by make and model, condition
        (new/used), body type, fuel/electric type, transmission, exterior color,
        state, cylinders, doors, engine induction, lifestyle category, EV
        connector, private-seller-only, price range, build-year range and
        maximum odometer. Sort by featured, price, odometer, year or trade-in
        bonus. Returns listing cards with make/model/badge, year, price and
        price type, market-price position, body type, transmission, engine,
        fuel, odometer or build date, EV range, state, seller type, photos and
        badges.


        **Price:** 1 credit


        **💡 AI Hint:** Search carsales.com.au car listings. make/model are
        slugs (e.g. make='toyota', model='corolla'); model needs make set.
        Filter by condition, body_type, fuel_type, transmission, color, state,
        cylinders, doors, induction, lifestyle, ev_connector,
        private_sellers_only, price_min/price_max (AUD), year_min/year_max,
        odometer_max (km). Sort by featured/price/odometer/year/trade_in_bonus.
        count is required. Each filter accepts a single value.
      operationId: __api_carsales_listings_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CarsalesListingsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CarsalesListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CarsalesListingsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        make:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          description: Make slug (e.g. 'toyota', 'land-rover', 'mercedes-benz')
        model:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          description: Model slug (e.g. 'corolla', 'hilux'); requires make to be set
        condition:
          anyOf:
            - $ref: '#/components/schemas/CarsalesCondition'
            - type: 'null'
          description: New or used
        body_type:
          anyOf:
            - $ref: '#/components/schemas/CarsalesBodyType'
            - type: 'null'
          description: Body type
        fuel_type:
          anyOf:
            - $ref: '#/components/schemas/CarsalesFuelType'
            - type: 'null'
          description: Fuel / electric type
        transmission:
          anyOf:
            - $ref: '#/components/schemas/CarsalesTransmission'
            - type: 'null'
          description: Transmission type
        color:
          anyOf:
            - $ref: '#/components/schemas/CarsalesColor'
            - type: 'null'
          description: Exterior color
        state:
          anyOf:
            - $ref: '#/components/schemas/CarsalesState'
            - type: 'null'
          description: Australian state / territory
        cylinders:
          anyOf:
            - $ref: '#/components/schemas/CarsalesCylinders'
            - type: 'null'
          description: Number of engine cylinders
        doors:
          anyOf:
            - $ref: '#/components/schemas/CarsalesDoors'
            - type: 'null'
          description: Number of doors
        induction:
          anyOf:
            - $ref: '#/components/schemas/CarsalesInduction'
            - type: 'null'
          description: Engine induction type
        lifestyle:
          anyOf:
            - $ref: '#/components/schemas/CarsalesLifestyle'
            - type: 'null'
          description: Lifestyle category
        ev_connector:
          anyOf:
            - $ref: '#/components/schemas/CarsalesEvConnector'
            - type: 'null'
          description: EV charging connector type
        private_sellers_only:
          type: boolean
          description: Only private-seller listings
          default: false
        price_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Minimum price (AUD)
        price_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Maximum price (AUD)
        year_min:
          anyOf:
            - type: integer
              minimum: 1900
            - type: 'null'
          description: Minimum build year
        year_max:
          anyOf:
            - type: integer
              minimum: 1900
            - type: 'null'
          description: Maximum build year
        odometer_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Maximum odometer (km)
        sort:
          $ref: '#/components/schemas/CarsalesSort'
          description: Sort order
          default: featured
        count:
          type: integer
          minimum: 1
          description: Max number of results to return
      type: object
      required:
        - count
    CarsalesListing:
      properties:
        '@type':
          type: string
          default: CarsalesListing
        id:
          type: string
        guid:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        make:
          anyOf:
            - type: string
            - type: 'null'
        model:
          anyOf:
            - type: string
            - type: 'null'
        badge:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_type:
          anyOf:
            - type: string
            - type: 'null'
        market_position:
          anyOf:
            - type: string
            - type: 'null'
        body_type:
          anyOf:
            - type: string
            - type: 'null'
        transmission:
          anyOf:
            - type: string
            - type: 'null'
        engine:
          anyOf:
            - type: string
            - type: 'null'
        fuel:
          anyOf:
            - type: string
            - type: 'null'
        odometer_km:
          anyOf:
            - type: number
            - type: 'null'
        build_date:
          anyOf:
            - type: string
            - type: 'null'
        ev_range_km:
          anyOf:
            - type: number
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        seller_type:
          anyOf:
            - type: string
            - type: 'null'
        seller_id:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        photo_count:
          anyOf:
            - type: integer
            - type: 'null'
        badges:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CarsalesCondition:
      type: string
      enum:
        - new
        - used
    CarsalesBodyType:
      type: string
      enum:
        - suv
        - sedan
        - hatch
        - ute
        - wagon
        - coupe
        - convertible
        - people-mover
        - van
        - bus
        - cab-chassis
    CarsalesFuelType:
      type: string
      enum:
        - petrol
        - diesel
        - electric
        - hybrid
        - plug-in-hybrid
        - dual-fuel
        - gas-only
    CarsalesTransmission:
      type: string
      enum:
        - automatic
        - manual
        - amt
    CarsalesColor:
      type: string
      enum:
        - beige
        - black
        - blue
        - bordeaux
        - bronze
        - brown
        - burgundy
        - gold
        - green
        - grey
        - magenta
        - maroon
        - orange
        - pink
        - purple
        - red
        - silver
        - white
        - yellow
    CarsalesState:
      type: string
      enum:
        - new-south-wales
        - victoria
        - queensland
        - south-australia
        - western-australia
        - tasmania
        - northern-territory
        - australian-capital-territory
    CarsalesCylinders:
      type: string
      enum:
        - '2'
        - '3'
        - '4'
        - '5'
        - '6'
        - '8'
        - '10'
        - '12'
    CarsalesDoors:
      type: string
      enum:
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
        - '6'
    CarsalesInduction:
      type: string
      enum:
        - aspirated
        - turbo
        - supercharged
        - turbo-supercharged
    CarsalesLifestyle:
      type: string
      enum:
        - family
        - first-car
        - green
        - offroad-4x4
        - performance
        - prestige
        - tradie
        - unique
    CarsalesEvConnector:
      type: string
      enum:
        - ccs2
        - chademo
        - type-1
        - type-2
    CarsalesSort:
      type: string
      enum:
        - featured
        - price_low
        - price_high
        - odometer_low
        - odometer_high
        - year_new
        - year_old
        - trade_in_bonus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````